%define pkg_name        HTML-Element-Library
%define pkg_version     3.51
%define rpm_pkg_version 3.51
%define rpm_pkg_release 2.n0i.3

Summary:       HTML::Element convenience functions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TB/TBONE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Array::Group) >= 1.00
BuildRequires: perl(File::Slurp) >= 9999.06
BuildRequires: perl(HTML::PrettyPrinter) >= 0.03
BuildRequires: perl(HTML::Tree) >= 3.19
BuildRequires: perl(List::MoreUtils) >= 0.09
BuildRequires: perl(List::Rotation::Cycle) >= 1.003
BuildRequires: perl(Params::Validate) >= 0.80
BuildRequires: perl(Scalar::Listify) >= 0.02
%endif


%description
This method provides API calls for common actions on trees when using
HTML::Tree.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Thu Jun 07 2007 Marius Feraru <altblue@n0i.net> - 3.51-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 3.51-1.n0i.2
- version 3.51

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 3.50-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
